Bug 499738 - RHEL 5 s390x kickstart trees are not synced to Cobbler
RHEL 5 s390x kickstart trees are not synced to Cobbler
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Justin Sherrill
Steve Salevan
:
Depends On:
Blocks: 457075 486216
  Show dependency treegraph
 
Reported: 2009-05-07 16:09 EDT by Steve Salevan
Modified: 2009-09-10 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-05-07 16:09:48 EDT
Description of problem:
If a user syncs RHEL 5 s390x kickstart tree content to a 530 Satellite (via the server and rhn-tools channels), the tree will not sync to Cobbler, with the following error appearing in the Taskomatic log:

1 [DefaultQuartzScheduler_Worker-1] ERROR com.redhat.rhn.manager.kickstart.cobbler.CobblerDistroSyncCommand - ERROR: No kernel found in this path: [/var/satellite/rhn/kickstart/ks-rhel-s390x-server-5-u3/images/pxeboot/vmlinuz] Spacewalk cant create the distro in cobbler which makes this kickstart distribution: [ks-rhel-s390x-server-5-u3] unusable to Spacewalk.

Version-Release number of selected component (if applicable):
530, 5/1 build

How reproducible:
Always

Steps to Reproduce:
1. Sync s390x RHEL 5 Server and associated rhn-tools channels
2. Run a 'cobbler distro list'
  
Actual results:
s390x distros do not appear

Expected results:
s390x distros appear

Additional info:
Comment 1 Justin Sherrill 2009-05-11 11:13:15 EDT
9b9949743b663a4f503347533d1d26aaaacf71bd
Comment 2 Steve Salevan 2009-06-03 11:13:52 EDT
VERIFIED on 5/29 build.
Comment 3 Tomas Lestach 2009-09-09 11:14:29 EDT
1. I had a synced rhel-i386-server-5 channel.
cobbler distro list returns actual distro listing (ks-rhel-i386-server-5*)

2. I synced rhel-s390x-server-5 channel.
Immediately after the sync finished cobbler distro list doesn't return any new distros.
Checking 15 minutes later - cobbler distro list returns also:
ks-rhel-s390x-server-5-u2
ks-rhel-s390x-server-5-u3
ks-rhel-s390x-server-5-u4

Error message from #Description not found in the taskomatic log.


Stage validated -> RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 14:15:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.